Package distutils :: Package command :: Module install :: Class install

[frames | no frames]

## Class install

    Command --+
              |
             install

Method Summary
| `change_roots(self, *names)`
| `convert_paths(self, *names)`
| `create_path_file(self)`
| `dump_dirs(self, msg)`
| `expand_basedirs(self)`
| `expand_dirs(self)`
| ``finalize_options`(self)` Set final values for all the options that this command supports.
| `finalize_other(self)`
| `finalize_unix(self)`
| `get_inputs(self)`
| `get_outputs(self)`
| `handle_extra_path(self)`
| `has_data(self)`
| `has_headers(self)`
| ``has_lib`(self)` Return true if the current distribution has any Python modules to install.
| `has_scripts(self)`
| ``initialize_options`(self)` Set default values for all the options that this command supports.
| ``run`(self)` A command's raison d'etre: carry out the action it exists to perform, controlled by the options initialized in 'initialize_options()', customized by other commands, the setup script, the command-line, and config files, and finalized in 'finalize_options()'.
| `select_scheme(self, name)`

Class Variable Summary
`list` | `boolean_options` = `['compile', 'force', 'skip-build']`
`str` | `description` = `'install everything from build directory'`
`dict` | `negative_opt` = `{'no-compile': 'compile'}`
`list` | `sub_commands` = `[('install_lib', <function has_lib at 0xb...`
`list` | `user_options` = `[('prefix=', None, 'installation prefix')...`

Method Details

### finalize_options(self)

Set final values for all the options that this command supports. This is always called as late as possible, ie. after any option assignments from the command-line or from other commands have been done. Thus, this is the place to code option dependencies: if 'foo' depends on 'bar', then it is safe to set 'foo' from 'bar' as long as 'foo' still has the same value it was assigned in 'initialize_options()'.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.finalize_options` (inherited documentation)

### has_lib(self)

Return true if the current distribution has any Python modules to install.

### initialize_options(self)

Set default values for all the options that this command supports. Note that these defaults may be overridden by other commands, by the setup script, by config files, or by the command-line. Thus, this is not the place to code dependencies between options; generally, 'initialize_options()' implementations are just a bunch of "self.foo = None" assignments.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.initialize_options` (inherited documentation)

### run(self)

A command's raison d'etre: carry out the action it exists to perform, controlled by the options initialized in 'initialize_options()', customized by other commands, the setup script, the command-line, and config files, and finalized in 'finalize_options()'. All terminal output and filesystem interaction should be done by 'run()'.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.run` (inherited documentation)

Class Variable Details

### boolean_options

  Type:
    `list`
  Value:

        ['compile', 'force', 'skip-build']

### description

  Type:
    `str`
  Value:

        'install everything from build directory'

### negative_opt

  Type:
    `dict`
  Value:

        {'no-compile': 'compile'}

### sub_commands

  Type:
    `list`
  Value:

        [('install_lib', <function has_lib at 0xb77d9c34>),
         ('install_headers', <function has_headers at 0xb77d9c6c>),
         ('install_scripts', <function has_scripts at 0xb77d9ca4>),
         ('install_data', <function has_data at 0xb77d9cdc>)]

### user_options

  Type:
    `list`
  Value:

        [('prefix=', None, 'installation prefix'),
         ('exec-prefix=', None, '(Unix only) prefix for platform-specific file\
        s'),
         ('home=', None, '(Unix only) home directory to install under'),
         ('install-base=',
          None,
          'base installation directory (instead of --prefix or --home)'),
         ('install-platbase=',
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:02 2007 | http://epydoc.sf.net